From a58333104782ed1832840961cbdd2805be5e027e Mon Sep 17 00:00:00 2001
From: Gerrit Pape <pape@smarden.org>
Date: Mon, 9 Jun 2008 20:11:13 +0000
Subject: [PATCH] error.h, cdb_seek.c: '#include <errno.h>' instead of 'extern int errno;'

---
 cdb_seek.c |    1 -
 error.h    |    2 +-
 2 files changed, 1 insertions(+), 2 deletions(-)

diff --git a/cdb_seek.c b/cdb_seek.c
index 87ab614..f31b87d 100644
--- a/cdb_seek.c
+++ b/cdb_seek.c
@@ -1,6 +1,5 @@
 #include <sys/types.h>
 #include <errno.h>
-extern int errno;
 #include "cdb.h"
 
 #ifndef SEEK_SET
diff --git a/error.h b/error.h
index 01bd3dc..5d98c6b 100644
--- a/error.h
+++ b/error.h
@@ -1,7 +1,7 @@
 #ifndef ERROR_H
 #define ERROR_H
 
-extern int errno;
+#include <errno.h>
 
 extern int error_intr;
 extern int error_nomem;
-- 
1.5.5.3

